Databases
Showing results for 
Search instead for 
Do you mean 

Make failing on perl module Sybperl

Occasional Contributor

Make failing on perl module Sybperl

While installing Sybperl version 2.14 my make is failing.

Here are some specifics:
OS: HP-UX 11.00
Compiler: HP ANSI C compiler
Sybase: Adaptive Server Enterprise/11.9.2.5 Sybase Home: /opt/sybase
Perl Version: v5.6.1
Perl Home: /opt/perl5

I know the make is failing because it can't locate a Sybase Shared library named libblk.sl. The Sybase install only includes a Static library named libblk.a.

The full output of the make command follows:
# make

cp lib/sybutil.pl blib/lib/sybutil.pl
cp lib/sybperl.pl blib/lib/sybperl.pl
cp config.pl blib/lib/config.pl
cp lib/ctutil.pl blib/lib/ctutil.pl
cp lib/sql.pl blib/lib/sql.pl
cp BCP.pm ../blib/lib/Sybase/BCP.pm
Manifying ../blib/man3/Sybase::BCP.3
cp BLK.pm ../blib/lib/Sybase/BLK.pm
Manifying ../blib/man3/Sybase::BLK.3
cp CTlib.pod ../blib/lib/Sybase/CTlib.pod
cp CTlib.pm ../blib/lib/Sybase/CTlib.pm
AutoSplitting ../blib/lib/Sybase/CTlib.pm (../blib/lib/auto/Sybase/CTlib)
/bin/perl -I/opt/perl5/lib/5.6.1/PA-RISC1.1 -I/opt/perl5/lib/5.6.1 /opt/perl5/lib/5.6.1/ExtUtils/xsubpp -prototypes -typemap /opt/perl5/lib/5.6.1/ExtUtils/typemap CTlib.xs > CTlib.xsc && mv CTlib.xsc CTlib.c
cc -c -I/opt/sybase/include -Ae -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O +Onolimit -DVERSION=\"2.14\" -DXS_VERSION=\"2.14\" +z -I/opt/perl5/lib/5.6.1/PA-RISC1.1/CORE -DCTLIBVS=100 -DSYBPLVER='"2.14"' -DDO_TIE CTlib.c
Running Mkbootstrap for Sybase::CTlib ()
chmod 644 CTlib.bs
rm -f ../blib/arch/auto/Sybase/CTlib/CTlib.sl
LD_RUN_PATH="/opt/sybase/lib:/lib" ld -L/opt/sybase/lib -b -s -a shared CTlib.o -o ../blib/arch/auto/Sybase/CTlib/CTlib.sl -L/opt/sybase/lib -lct -lcs -ltcl -lcomn -lintl -lblk -lm
ld: Can't find library: "blk"
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.


Does anyone have suggestions on how to get a successful compile?

Thanks in advance,

Mike Proulx

2 REPLIES
Honored Contributor Honored Contributor

Re: Make failing on perl module Sybperl

According to the Sybperl author, the fix is to download sybperl 2.13 (from
http://www.peppler.org/downloads) which doesn't need libblk.a to build.

HTH
mark
the future will be a lot like now, only later
Occasional Contributor

Re: Make failing on perl module Sybperl

Concerning Marke Greene's response.

Thank You, But we are currently running version 2.13. We are experiencing bcp problems with 2.13 and are interested to see if version 2.14 will fix them.